<?xml version="1.0" encoding="utf-8"?>
<ScrollView xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:gravity="center_horizontal"

    android:orientation="vertical"
><LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:gravity="center_horizontal"

    android:orientation="vertical"
>
    <LinearLayout
        android:layout_width="match_parent"

        android:gravity="center"
        android:layout_height="150dp">

        <ImageView
            android:id="@+id/profile"
            android:layout_width="120dp"
            android:layout_height="120dp"
            android:layout_gravity="center"
            android:layout_marginTop="12dp"
            android:src="@drawable/ic_account"
            android:layout_marginBottom="10dp" />
    </LinearLayout>

    <EditText
        android:id="@+id/username"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:textSize="18sp"
        android:hint="name"
        android:layout_margin="16dp"
         />

    <EditText
        android:id="@+id/mobile"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_margin="16dp"
        android:hint="phone"
        android:inputType="number"
        android:textSize="18sp"
    />

    <EditText
        android:id="@+id/email"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_margin="16dp"
        android:textSize="18sp"
        android:inputType="textEmailAddress"
        android:hint="email" />


    <EditText
        android:id="@+id/homeaddress"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_margin="16dp"
        android:textSize="18sp"
        android:hint="home address" />
    <EditText
        android:id="@+id/deladdress"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_margin="16dp"
        android:textSize="18sp"
        android:hint="delivery address" />
    <EditText
        android:id="@+id/pincode"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_margin="16dp"
        android:textSize="18sp"
       android:inputType="number"
        android:hint="pincode" />
    <Button
        android:layout_width="match_parent"
        android:id="@+id/update"
        android:text="Update"
        android:textColor="@color/white"
        android:layout_margin="8dp"
        android:background="@color/colorAccent"
        android:layout_height="wrap_content" />
    <EditText
        android:id="@+id/d"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_margin="16dp"
        android:textSize="18sp"
       android:inputType="number"
        android:visibility="invisible"
        android:hint="pincode" />


</LinearLayout>
</ScrollView>